Loading...
Searching...
No Matches
attr_template Struct Reference

Attribute template. More...

`#include <kdumpfile-priv.h>`

## Data Fields

const char * | key
union { |
const struct attr_template * parent |
| Overrides: pointer to original template.
enum global_keyidx parent_key |
| Global keys: attribute index in the global array.
unsigned depth |
| Derived attributes: number of levels below the directory that contains the corresponding blob attribute.
addrxlat_optidx_t optidx |
| Addrxlat option attributes: target option index.
size_t fidx |
| File set attributes: index inside file.fdset.
}; |  |
kdump_attr_type_t | type
unsigned | override:1
| Set iff this is a template override.
const struct attr_ops * | ops

## Detailed Description

Attribute template.

All instances of a key share the same characteristics (such as key name and value type).

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h